<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRegistrationBonusHistoriesTable extends Migration
{
    public function up()
    {
        Schema::create('registration_bonus_histories', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->double('amount')->nullable();
            $table->string('bonus_for')->nullable();
            $table->timestamps();
        });
    }


    public function down()
    {
        Schema::dropIfExists('registration_bonus_histories');
    }
}
